Package org.apache.felix.log

## Class FormatterLoggerImpl

- java.lang.Object
- - org.apache.felix.log.LoggerImpl
  - - org.apache.felix.log.FormatterLoggerImpl

All Implemented Interfaces:
  `org.osgi.service.log.FormatterLogger`, `org.osgi.service.log.Logger`

    public class FormatterLoggerImpl
    extends LoggerImpl
    implements org.osgi.service.log.FormatterLogger

### Field Summary

### Fields inherited from class org.apache.felix.log.LoggerImpl

`m_bundle, m_log, m_loggerAdmin, m_name`

### Fields inherited from interface org.osgi.service.log.Logger

`ROOT_LOGGER_NAME`

### Constructor Summary

Constructors
`FormatterLoggerImpl​(String name, org.osgi.framework.Bundle bundle, org.apache.felix.log.Log log, LoggerAdminImpl loggerAdmin)`

### Method Summary

### Methods inherited from class org.apache.felix.log.LoggerImpl

`audit, audit, audit, audit, audit, debug, debug, debug, debug, debug, error, error, error, error, error, getName, info, info, info, info, info, isDebugEnabled, isErrorEnabled, isInfoEnabled, isTraceEnabled, isWarnEnabled, log, trace, trace, trace, trace, trace, warn, warn, warn, warn, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.osgi.service.log.Logger

`audit, audit, audit, audit, debug, debug, debug, debug, debug, error, error, error, error, error, getName, info, info, info, info, info, isDebugEnabled, isErrorEnabled, isInfoEnabled, isTraceEnabled, isWarnEnabled, trace, trace, trace, trace, trace, warn, warn, warn, warn, warn`

### Constructor Detail

#### FormatterLoggerImpl

    public FormatterLoggerImpl​(String name,
                               org.osgi.framework.Bundle bundle,
                               org.apache.felix.log.Log log,
                               LoggerAdminImpl loggerAdmin)